// Engquist Osher method
// Periodic boundary conditions - periodic function a 
// equation = 'Burgers' 
function[ufinal]=EngquistOsher(T,dt,L,dx,uinit,f,a)
// For Burgers equation 
       deff('[y]=fpp(x)','y=x.*(x+abs(x))/4'); 
       deff('[y]=fmm(x)','y=x.^2/2-x.*(x+abs(x))/4'); 
    // Time discretization
    time=0:dt:T;
    Nt=length(time);   
 // Initial datum - We calculate on N-1 points 
    u=uinit(1:$-1);
  // Engquist-Osher method
  for i=1:Nt
      // Periodic boundary conditions
      // Computation of vectors up(i)=u_{i+1}, um(i)=u_(i-1)
      up=[u(2:$);u(1)];
      um=[u($);u(1:$-1)];
      // computation of flux
      Fp=fpp(u)+fmm(up);
      Fm=fpp(um)+fmm(u);
      u=u-dt/dx*(Fp-Fm);  
  end
  ufinal=[u;u(1)];
  endfunction
