// Roe method
// Periodic boundary conditions - periodic function a 
function[ufinal]=Roe(T,dt,L,dx,uinit,f,a)
    // Time discretization
    time=0:dt:T;
    Nt=length(time);
  // Initial datum - We calculate on N-1 points 
  u=uinit(1:$-1);
  // Roe method
  for i=1:Nt
      // Periodic boundary conditions
      // Computation of vectors up(i)=u_{i+1}, um(i)=u_(i-1)
      up=[u(2:$);u(1)];
      um=[u($);u(1:$-1)];
      // computation of the velocities
      vel=a(u);
      indices=(u~=up);
      vel(indices)=(f(u(indices))-f(up(indices)))./(u(indices)-up(indices));
      velm=a(um);
      indicesm=(um~=u);
      velm(indicesm)=(f(um(indicesm))-f(u(indicesm)))./(um(indicesm)-u(indicesm));
       // computation of flux
       Fp=zeros(u);Fm=zeros(u);
      Fp(vel>=0)=f(u(vel>=0));
      Fp(vel<0)=f(up(vel<0));
      Fm(velm>=0)=f(um(velm>=0));
      Fm(velm<0)=f(u(velm<0));
      u=u-dt/dx*(Fp-Fm);  
  end
   ufinal=[u;u(1)];
   endfunction
