// Rusanov method
// Periodic boundary conditions - periodic function a 
function[ufinal]=Rusanov(T,dt,L,dx,uinit,f,a)
    // Time discretization
    time=0:dt:T;
    Nt=length(time); 
 // Initial datum - We calculate on N-1 points 
    u=uinit(1:$-1);
  // Rusanov method
  for i=1:Nt
      // Periodic boundary conditions
      // Computation of vectors up(i)=u_{i+1}, um(i)=u_(i-1)
      up=[u(2:$);u(1)];
      um=[u($);u(1:$-1)];
      // velocity velp(i)=a_{i+1/2} and velm(i)=a_{i-1/2}
      vel=max(abs(a(u)),abs(a(up)));
      velm=max(abs(a(um)),abs(a(u)));
      // computation of flux
      Fp=(f(u)+f(up))/2-vel.*(up-u)/2;
      Fm=(f(um)+f(u))/2-velm.*(u-um)/2;
      u=u-dt/dx*(Fp-Fm);  
  end
  ufinal=[u;u(1)];
  endfunction
