// Lax Friedrichs method
// Periodic boundary conditions  
function[ufinal]=LaxFriedrichs(T,dt,L,dx,uinit,f,a)
    // Time discretization
    time=0:dt:T;
    Nt=length(time);  
 // Initial datum - We calculate on N-1 points 
    u=uinit(1:$-1);
  // Lax-Friedrichs method
  for i=1:Nt
      // Periodic boundary conditions
      // Computation of vectors up(i)=u_{i+1}, um(i)=u_(i-1)
      up=[u(2:$);u(1)];
      um=[u($);u(1:$-1)];
      // computation of flux
      Fp=....;
      Fm=....;
      u=u-dt/dx*(Fp-Fm);  
  end
  ufinal=[u;u(1)];
  endfunction
