// Lax Wendroff method
// Periodic boundary conditions
function[ufinal]=LaxWendroff(T,dt,L,dx,uinit,f,a)
     // Time discretization
    time=0:dt:T;
    Nt=length(time);
  // Initial datum - We calculate on N-1 points 
    u=uinit(1:$-1); 
  // Lax-Wendroff method
  for i=1:Nt
      // Periodic boundary conditions
      // Computation of vectors up(i)=u_{i+1}, um(i)=u_(i-1)
      up=[u(2:$);u(1)];
      um=[u($);u(1:$-1)];
      // velocity velp(i)=a_{i+1/2} and velm(i)=a_{i-1/2}
      vel=....;
      velm=....;
      // computation of flux
      Fp=....;
      Fm=....;
      u=u-dt/dx*(Fp-Fm);  
  end
   ufinal=[u;u(1)];
endfunction
