////////  Conservation Law - Burgers equation
//////// Periodic boundary conditions
// Space discretization
L=5;
dx=0.01;
space=(0:dx:L)';
// Time discretization
T=1;
//dt=dx*2;
dt=dx*0.95;
// dt=dx*0.5;
// Initial datum 1
uinit=....;
// flux function  and derivative = Burgers
deff('[y]=f(x)','y=x.^2/2'); 
deff('[y]=a(x)','y=x'); 
// Approximated solution
uUp=upwind(T,dt,L,dx,uinit,f,a);
plot(space,uUp,'k');
uRoe=Roe(T,dt,L,dx,uinit,f,a);
plot(space,uRoe,'m');
uEO=EngquistOsher(T,dt,L,dx,uinit,f,a);
plot(space,uEO,'b');
uLF=LaxFriedrichs(T,dt,L,dx,uinit,f,a);
plot(space,uLF,'r');
uRus=Rusanov(T,dt,L,dx,uinit,f,a);
plot(space,uRus,'c');
uLW=LaxWendroff(T,dt,L,dx,uinit,f,a);
plot(space,uLW,'g');
uUpNC=upwindNC(T,dt,L,dx,uinit,f,a);
plot(space,uUpNC,'y');
legend('upwind', 'Roe', 'Engquist- Osher', 'Lax Friedrichs','Rusanov', 'Lax Wendroff','upwind Non Conservative')
