////////  Conservation Law - Burgers equation
//////// Periodic boundary conditions
// Space discretization
L=5;
dx=0.01;
space=(0:dx:L)';
// Time discretization
T=1;
dt=dx*0.95;
// Initial datum 3
space1=space(space<1);
space2=space((space>=1)&(space<=2));
space3=space(space>2);
uinit=....;
// flux function  and derivative = Burgers
deff('[y]=f(x)','y=x.^2/2'); 
deff('[y]=a(x)','y=x'); 
// Approximated solution
uUp=upwind(T,dt,L,dx,uinit,f,a);
plot(space,uUp,'k');
uUpNC=upwindNC(T,dt,L,dx,uinit,f,a);
plot(space,uUpNC,'y');
legend('upwind','upwind Non Conservative')
